#------------------------------------------------------------------------------#

# Import pyCAPS module
import pyCAPS

#------------------------------------------------------------------------------#

# Load geometry [.csm] file
filename = "f118-A.csm"
print ('\n==> Loading geometry from file "'+filename+'"...')
capsProblem = pyCAPS.Problem(problemName = "design_f118",
                             capsFile = filename,
                             outLevel = 1)

# Create an alias to geometry
f118 = capsProblem.geometry

# Get a dictionary of pyEGADS bodies and length units
# Keys use the body "_name" attribute or "Body_#".
bodys, units = f118.bodies()

# See $ESP_ROOT/doc/EGADS/egads.pdf for pyEGADS documentation
# See $ESP_ROOT/pyESP/testEGADS/test_egads.py for example uses
print ('\n==> pyEGADS egos...')
for key in bodys.keys():
    print(key, bodys[key])