#------------------------------------------------------------------------------#G

# Import pyCAPS module
import pyCAPS

#------------------------------------------------------------------------------#

# Load geometry [.csm] file
filename = "f118-A.csm"
print ('\n==> Loading geometry from file "'+filename+'"...')
capsProblem = pyCAPS.Problem(problemName = "design_f118",
                             capsFile = filename,
                             outLevel = 0)

# Create an alias to geometry
f118 = capsProblem.geometry

# Build and print OUTPMTRs
print ("--> wing:wet      =", f118.outpmtr["wing:wet"].value )
print ("--> wing:volume   =", f118.outpmtr.wing.volume )
print ()
# Accessing DIMENSIONed OUTPMTR
htail_prop = f118.outpmtr["htail"].prop
print ("--> htail:prop[0] =", htail_prop[0] )
print ("--> htail:prop[1] =", htail_prop[1] )
print ()
# Accessing OUTPMTR that has not been set
print ("--> vtail:prop    =", f118.outpmtr["vtail:prop"].value )
print ()
print ("--> fuse:wet      =", f118.outpmtr["fuse:wet"].value )
print ("--> fuse:volume   =", f118.outpmtr.fuse.volume )
print ()
# Attempt to get a SET value not defined as OUTPMTR (raises KeyError/AttributeError)
print ("--> wing:span     =", f118.outpmtr.wing.span )
