#------------------------------------------------------------------------------#

# Import pyCAPS module
import pyCAPS

#------------------------------------------------------------------------------#
# Load geometry [.csm] file
filename = "f118-B.csm"
print ("\n==> Loading geometry from file \""+filename+"\"...")
capsProblem = pyCAPS.Problem(problemName = "design_f118",
                             capsFile = filename,
                             outLevel = 0)
#------------------------------------------------------------------------------#

#------------------------------------------------------------------------------#
# capsAIM == $masstranAIM
masstranAll = capsProblem.analysis.create(aim = "masstranAIM", capsIntent="", 
                                          name = "All")

# The AIM instance is also available in the Problem.analysis Sequence
assert(masstranAll == capsProblem.analysis["All"])

# Show the geometry used by the AIM
print("==> Geometry used by masstranAll instance with no capsIntent")
masstranAll.geometry.view()
#------------------------------------------------------------------------------#


#------------------------------------------------------------------------------#
# capsAIM == $masstranAIM and capsIntent == $wing
capsProblem.analysis.create(aim = "masstranAIM", capsIntent="wing", 
                            name = "Wing")

# Show the geometry used by the AIM
print("==> Geometry used by Wing instance with capsIntent='wing'")
capsProblem.analysis["Wing"].geometry.view()
#------------------------------------------------------------------------------#


#------------------------------------------------------------------------------#
# capsAIM == $masstranAIM and capsIntent == $tail
masstranTail = capsProblem.analysis.create(aim = "masstranAIM", capsIntent="tail", 
                                           name = "Tail")

# Show the geometry used by the AIM
print("==> Geometry used by Tail instance with capsIntent='tail'")
masstranTail.geometry.view()
#------------------------------------------------------------------------------#


#------------------------------------------------------------------------------#
# capsAIM == $masstranAIM and (capsIntent == $wing or capsIntent == $fuse)
capsProblem.analysis.create(aim = "masstranAIM", capsIntent=["wing","fuse"], 
                            name = "WingFuse")

# Show the geometry used by the AIM
print("==> Geometry used by WingFuse instance with capsIntent=['wing','fuse']")
capsProblem.analysis["WingFuse"].geometry.view()
#------------------------------------------------------------------------------#
