#------------------------------------------------------------------------------#

# Import pyCAPS module
import pyCAPS

# Import os
import os

#------------------------------------------------------------------------------#

# Load geometry [.csm] file
filename = os.path.join("..","ESP","transport.csm")
print ("\n==> Loading geometry from file \""+filename+"\"...")
capsProblem = pyCAPS.Problem(problemName = "design_Transport",
                             capsFile = filename,
                             outLevel = 0)

# Alias the geometry
transport = capsProblem.geometry

# Change to VLM view
transport.cfgpmtr.VIEW.Concept = 0
transport.cfgpmtr.VIEW.Vlm     = 1

# view the geometry with ESP
print ("\n==> Viewing transport bodies...")
transport.view()

# Create AVL AIM
print ("\n==> Create AVL aim...")
avl = capsProblem.analysis.create(aim  = "avlAIM",
                                  name = "avl")

# view avl bodies with the capsViewer
print ("\n==> Viewing avl bodies...")
avl.geometry.view()
