#------------------------------------------------------------------------------#

# Import pyCAPS module
import pyCAPS

# Import os
import os

#------------------------------------------------------------------------------#

# Load geometry [.csm] file
filename = os.path.join("..","ESP","transport.csm")
print ("\n==> Loading geometry from file \""+filename+"\"...")
capsProblem = pyCAPS.Problem(problemName = "design_Transport",
                             capsFile = filename,
                             outLevel = 0)

# Alias the geometry
transport = capsProblem.geometry

# Change to VLM view and OmlStructure
transport.cfgpmtr.VIEW.Concept  = 0
transport.cfgpmtr.VIEW.Vlm      = 1
transport.cfgpmtr.VIEW.Skins    = 1

# Enable fuselage and lifting surfaces
transport.cfgpmtr.COMP.wing     = 1
transport.cfgpmtr.COMP.fuse     = 1
transport.cfgpmtr.COMP.htail    = 1
transport.cfgpmtr.COMP.vtail    = 1
transport.cfgpmtr.COMP.controls = 0

# Create AVL AIM
avl = capsProblem.analysis.create(aim = "avlAIM",
                                  name = "avl")

print ("\n==> Vewing AVL geometry")
avl.geometry.view()

masstran = capsProblem.analysis.create(aim = "masstranAIM",
                                       name = "masstran")

print ("\n==> Vewing Masstran geometry")
masstran.geometry.view()
