#------------------------------------------------------------------------------#

# Import pyCAPS module
import pyCAPS

# Import os module
import os

#------------------------------------------------------------------------------#

# Load geometry [.csm] file
filename=os.path.join("..","..","data","session02","f118-A.csm")
print ('\n==> Loading geometry from file "'+filename+'"...')
myProblem = pyCAPS.Problem(problemName = "design_f118",
                           capsFile = filename)

# Create an alias to geometry
f118 = myProblem.geometry

# Modify the fuselage
f118.despmtr["fuse:width"].value  = 1.5*f118.despmtr["fuse:width"].value
f118.despmtr["fuse:height"].value = 1.2*f118.despmtr["fuse:height"].value

# Modify the wing
f118.despmtr["wing:xroot"].value  = 0.9*f118.despmtr["wing:xroot"].value
f118.despmtr["wing:aspect"].value = 1.6*f118.despmtr["wing:aspect"].value

# Modify the htail
f118.despmtr["htail:area"].value  =   3*f118.despmtr["htail:area"].value
f118.despmtr["htail:thick"].value = 1.7*f118.despmtr["htail:thick"].value

# Modify the vtail
vtail = f118.despmtr["vtail"].value
vtail[0] *= 1.2
vtail[1] *= 0.5
f118.despmtr["vtail"].value = vtail

# Build and view the geometry with the capsViewer
print ('\n==> Bulding and viewing geometry...')
f118.view()
