#------------------------------------------------------------------------------#

# Import pyCAPS module
import pyCAPS

# Import os
import os

#------------------------------------------------------------------------------#

# Load geometry [.csm] file
filename = os.path.join("..","..","data","session03","f118-B.csm")
print ("\n==> Loading geometry from file \""+filename+"\"...")
myProblem = pyCAPS.Problem(problemName = "design_f118",
                           capsFile = filename)

# Create an alias to geometry
f118 = myProblem.geometry

#------------------------------------------------------------------------------#
# capsAIM == $masstranAIM and (capsIntent == $wing or capsIntent == $fuse or  capsIntent == $htail)
masstran = myProblem.analysis.create(aim = "masstranAIM", capsIntent=["wing","fuse", "htail"])

# Show the geometry used by the AIM
print("==> Geometry with capsIntent=['wing','fuse', 'htail']")
masstran.geometry.view()
#------------------------------------------------------------------------------#
